<ion-header class="ion-no-border">
    <ion-toolbar>
        <ion-title>Packages</ion-title>
        <ion-buttons slot="end" (click)="logout()">
        </ion-buttons>
    </ion-toolbar>
</ion-header>

<ion-content class="ion-padding-horizontal">

    <div *ngFor="let package of packageList" class="top-card ion-text-center ion-padding-vertical">
        <div class="img-holder">
            <ion-avatar>
                <img src="assets/imgs/ion-wizard.png" alt="">
            </ion-avatar>
        </div>
        <div class="details">
            <h2>{{package.name}}</h2>
            <p>{{package.description}}</p>
        </div>
        <div class="ion-padding-horiozntal">
            <div class="badge-holder">
                <h1 class="no-top-margin gray-font">{{package.maxViewCount}} Contacts</h1>
                <h1 class="gray-font">{{package.price | currency:'LKR '}}</h1>
            </div>
        </div>

        <ion-button (click)="onPackageRequest(package.id)" class="request-button-margin">
            Request
        </ion-button>
    </div>

    <div class="top-card"></div>

</ion-content>